
Name:    kf5-audiocd-kio
Summary: KF5 Audiocd kio slave
Version: 17.04.1
Release: 1%{?dist}

# code GPLv2+, handbook/docs GFDL
License: GPLv2+
URL:     https://www.kde.org/applications/multimedia/

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/applications/%{version}/src/audiocd-kio-%{version}.tar.xz

BuildRequires: cdparanoia-devel cdparanoia
BuildRequires: extra-cmake-modules
BuildRequires: kf5-rpm-macros

BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5KDELibs4Support)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5KIO)

BuildRequires: cmake(KF5Cddb)
BuildRequires: cmake(KF5CompactDisc)

BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(flac)
BuildRequires: pkgconfig(phonon4qt5)
BuildRequires: pkgconfig(theora)
BuildRequires: pkgconfig(vorbis)

Requires:  %{name}-doc = %{version}-%{release}

# when conflicting /usr/share/solid/actions/solid_audiocd.desktop was dropped
Conflicts: audiocd-kio < 16.08.3-2

# translations moved here
Conflicts: kde-l10n < 17.03

%description
%{summary}.

%package devel
Summary:  Development files for %{name}
# libaudiocdplugins.so symlink conflict
Conflicts: audiocd-kio-devel
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%{summary}.

%package doc
Summary: Documentation for %{name}
License: GFDL
Requires:  %{name} = %{version}-%{release}
BuildArch: noarch
%description doc
Documentation for %{name}.


%prep
%autosetup -n audiocd-kio-%{version}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --all-name --with-html --with-man


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%license COPYING*
%{_kf5_libdir}/libaudiocdplugins.so.5*
%{_qt5_plugindir}/libaudiocd_encoder_flac.so
%{_qt5_plugindir}/libaudiocd_encoder_lame.so
%{_qt5_plugindir}/libaudiocd_encoder_vorbis.so
%{_qt5_plugindir}/libaudiocd_encoder_wav.so
%{_qt5_plugindir}/libkcm_audiocd.so
%{_qt5_plugindir}/libkio_audiocd.so
%{_kf5_datadir}/config.kcfg/audiocd_flac_encoder.kcfg
%{_kf5_datadir}/config.kcfg/audiocd_lame_encoder.kcfg
%{_kf5_datadir}/config.kcfg/audiocd_vorbis_encoder.kcfg
%dir %{_kf5_datadir}/konqsidebartng/
%dir %{_kf5_datadir}/konqsidebartng/virtual_folders
%dir %{_kf5_datadir}/konqsidebartng/virtual_folders/services/
%{_kf5_datadir}/konqsidebartng/virtual_folders/services/audiocd.desktop
%{_kf5_datadir}/kservices5/audiocd.desktop
%{_kf5_datadir}/kservices5/audiocd.protocol
%{_kf5_datadir}/solid/actions/solid_audiocd.desktop

%files devel
%{_kf5_libdir}/libaudiocdplugins.so
%{_includedir}/audiocdencoder.h
%{_includedir}/audiocdplugins_export.h

%files doc
%license COPYING.DOC
%lang(en) %{_kf5_docdir}/HTML/en/kioslave5/audiocd/


%changelog
* Sun May 21 2017 Rex Dieter <rdieter@fedoraproject.org> - 17.04.1-1
- 17.04.1

* Thu Mar 09 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.3-1
- 16.12.3

* Thu Feb 23 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.2-2
- Conflicts: audiocd-kio < 16.08.3-2

* Sun Feb 12 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.2-1
- 16.12.2

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 16.12.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 13 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.1-5
- BR: alsa

* Fri Jan 13 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.1-4
- fix typo (KF5KDELibs4Support)

* Fri Jan 13 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.1-3
- update build deps

* Fri Jan 13 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.1-2
- remove -libs reference from scriptlets

* Thu Jan 12 2017 Rex Dieter <rdieter@fedoraproject.org> - 16.12.1-1
- audiocd-kio-16.12.1

